package service

import (
	"be.ems/src/modules/tool/model"
	"be.ems/src/modules/tool/repository"
)

// 实例化数据层 MMLLog 结构体
var NewMMLLog = &MMLLog{
	mmlLogRepository: repository.NewMMLLog,
}

// MMLLog MML网元日志 服务层处理
type MMLLog struct {
	mmlLogRepository *repository.MMLLog
}

// FindByPage 分页查询列表数据
func (s MMLLog) FindByPage(query map[string]string) ([]model.MMLLog, int64) {
	return s.mmlLogRepository.SelectByPage(query)
}

// Insert 新增日志
func (s MMLLog) Insert(param model.MMLLog) int64 {
	return s.mmlLogRepository.Insert(param)
}
